{ nixosConfig, ... }:
let
  machines = {
    smithers = [
      {
        profile.name = "laptop-only";
        profile.outputs = [
          {
            criteria = "eDP-1";
            status = "enable";
            scale = 1.3;
            mode = "2256x1504@59.999Hz";
          }
        ];
      }
      {
        profile.name = "homeoffice";
        profile.outputs = [
          {
            criteria = "eDP-1";
            status = "disable";
          }
          {
            criteria = "Samsung Electric Company U28E590 HTPJ109320";
            scale = 1.4;
            position = "0,0";
            mode = "3840x2160@60.000Hz";
          }
          {
            criteria = "Samsung Electric Company U28E590 HTPM402579";
            scale = 1.4;
            position = "2743,0";
            mode = "3840x2160@60.000Hz";
          }
        ];
      }
    ];
  };
in
{
  services.kanshi = {
    enable = true;
    settings = machines."${nixosConfig.networking.hostName}";
  };

}
